## erlang-p1-sip 1.0.1

=== Makefile ===
REBAR=./rebar

all: src

src:
	$(REBAR) compile

clean:
	$(REBAR) clean

test: all
	$(REBAR) -v skip_deps=true eunit

deps := $(wildcard deps/*/ebin)

dialyzer/erlang.plt:
	@mkdir -p dialyzer
	@dialyzer --build_plt --output_plt dialyzer/erlang.plt \
	-o dialyzer/erlang.log --apps kernel stdlib erts; \
	status=$$? ; if [ $$status -ne 2 ]; then exit $$status; else exit 0; fi

dialyzer/deps.plt:
	@mkdir -p dialyzer
	@dialyzer --build_plt --output_plt dialyzer/deps.plt \
	-o dialyzer/deps.log $(deps); \
	status=$$? ; if [ $$status -ne 2 ]; then exit $$status; else exit 0; fi

dialyzer/esip.plt:
	@mkdir -p dialyzer
	@dialyzer --build_plt --output_plt dialyzer/esip.plt \
	-o dialyzer/ejabberd.log ebin; \
	status=$$? ; if [ $$status -ne 2 ]; then exit $$status; else exit 0; fi

erlang_plt: dialyzer/erlang.plt
	@dialyzer --plt dialyzer/erlang.plt --check_plt -o dialyzer/erlang.log; \
	status=$$? ; if [ $$status -ne 2 ]; then exit $$status; else exit 0; fi

deps_plt: dialyzer/deps.plt
	@dialyzer --plt dialyzer/deps.plt --check_plt -o dialyzer/deps.log; \
	status=$$? ; if [ $$status -ne 2 ]; then exit $$status; else exit 0; fi

esip_plt: dialyzer/esip.plt
	@dialyzer --plt dialyzer/esip.plt --check_plt -o dialyzer/ejabberd.log; \
	status=$$? ; if [ $$status -ne 2 ]; then exit $$status; else exit 0; fi

dialyzer: erlang_plt deps_plt esip_plt
	@dialyzer --plts dialyzer/*.plt --no_check_plt \
	--get_warnings -o dialyzer/error.log ebin; \
	status=$$? ; if [ $$status -ne 2 ]; then exit $$status; else exit 0; fi

check-syntax:
	gcc -o nul -S ${CHK_SOURCES}

.PHONY: clean src test all dialyzer erlang_plt deps_plt esip_plt

## erlang-p1-sip 0.2014.06.12

=== debian/changelog ===
erlang-p1-sip (0.2014.06.12-1) unstable; urgency=medium

  * Initial release, see #744885 for background

 -- Philipp Huebner <debalance@debian.org>  Mon, 07 Jul 2014 22:12:13 +0200

=== debian/control ===
Source: erlang-p1-sip
Section: libs
Priority: optional
Maintainer: Philipp Huebner <debalance@debian.org>
Build-Depends: debhelper (>= 9), dh-rebar, erlang-p1-stun, erlang-p1-tls
Standards-Version: 3.9.5
Homepage: https://github.com/processone/p1_sip


Package: erlang-p1-sip
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, erlang-base | ${erlang-abi:Depends},
         ${erlang:Depends}, erlang-p1-stun, erlang-p1-tls
Description: SIP library for Erlang
 This library was written for ejabberd which still uses it.
 It was split off into it's own project to follow
 Erlang/OTP guidelines.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


include /usr/share/dpkg/pkg-info.mk


DESTDIR=$(CURDIR)/debian/erlang-p1-sip


%:
	dh $@ --buildsystem=rebar --with rebar


override_dh_auto_configure:
	./configure
	dh_auto_configure


override_dh_auto_install:
	dh_auto_install
	for file in include/*.hrl ; do \
		fname=$$(basename $${file}) ; \
		subdir=$$(dirname $${file}) ; \
		if [ ! -f $(DESTDIR)/usr/lib/erlang/lib/p1_sip-$(DEB_VERSION_UPSTREAM)/$${subdir}/$${fname} ] ; then \
			install -m 755 -d $(DESTDIR)/usr/lib/erlang/lib/p1_sip-$(DEB_VERSION_UPSTREAM)/$${subdir} ; \
			install -m 644 $${file} $(DESTDIR)/usr/lib/erlang/lib/p1_sip-$(DEB_VERSION_UPSTREAM)/$${subdir} ; \
		fi ; \
	done


override_dh_auto_clean:
	rm -f config.log config.status
	dh_auto_clean

## erlang-p1-sip 0.2014.07.17

=== debian/changelog ===
erlang-p1-sip (0.2014.07.17-2) unstable; urgency=high

  * Fixed a FTBFS issue during dh_auto_install
  * Made debian/copyright lintian-clean

 -- Philipp Huebner <debalance@debian.org>  Tue, 09 Sep 2014 18:51:55 +0200

erlang-p1-sip (0.2014.07.17-1) unstable; urgency=medium

  * Imported Upstream version 0.2014.07.17

 -- Philipp Huebner <debalance@debian.org>  Thu, 28 Aug 2014 12:04:24 +0200

=== debian/control ===
Source: erlang-p1-sip
Section: libs
Priority: optional
Maintainer: Philipp Huebner <debalance@debian.org>
Build-Depends: debhelper (>= 9), dh-rebar, erlang-p1-stun, erlang-p1-tls, erlang-p1-utils
Standards-Version: 3.9.5
Homepage: https://github.com/processone/p1_sip


Package: erlang-p1-sip
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, erlang-base | ${erlang-abi:Depends},
         ${erlang:Depends}, erlang-p1-stun, erlang-p1-tls, erlang-p1-utils
Description: SIP library for Erlang
 This library was written for ejabberd which still uses it.
 It was split off into it's own project to follow
 Erlang/OTP guidelines.

=== debian/rules ===
--- 
+++ 
@@ -25,6 +25,7 @@
 
 
 override_dh_auto_install:
+	rm -rf ebin/examples
 	dh_auto_install
 	for file in include/*.hrl ; do \
 		fname=$$(basename $${file}) ; \

## erlang-p1-sip 0.2015.04.17

=== debian/changelog ===
erlang-p1-sip (0.2015.04.17-2) unstable; urgency=high

  [ Holger Weiss ]
  * Support Erlang/OTP 18.x (Closes: #791371)

 -- Philipp Huebner <debalance@debian.org>  Sat, 04 Jul 2015 14:24:31 +0200

erlang-p1-sip (0.2015.04.17-1) unstable; urgency=medium

  * Imported Upstream version 0.2015.04.17
  * Updated Standards-Version: 3.9.6 (no changes needed)
  * Updated years in debian/copyright
  * Added Vcs links to debian/control
  * Streamlined debian/rules

 -- Philipp Huebner <debalance@debian.org>  Sat, 02 May 2015 18:14:07 +0200

=== debian/control ===
--- 
+++ 
@@ -2,10 +2,11 @@
 Section: libs
 Priority: optional
 Maintainer: Philipp Huebner <debalance@debian.org>
-Build-Depends: debhelper (>= 9), dh-rebar, erlang-p1-stun, erlang-p1-tls, erlang-p1-utils
-Standards-Version: 3.9.5
+Build-Depends: debhelper (>= 9), dh-rebar, erlang-eunit, erlang-p1-stun, erlang-p1-tls, erlang-p1-utils, erlang-syntax-tools
+Standards-Version: 3.9.6
 Homepage: https://github.com/processone/p1_sip
-
+Vcs-Git: git://anonscm.debian.org/users/debalance/erlang-p1-sip.git
+Vcs-Browser: https://anonscm.debian.org/cgit/users/debalance/erlang-p1-sip.git
 
 Package: erlang-p1-sip
 Architecture: any

## erlang-p1-sip 1.0.1

=== debian/changelog ===
erlang-p1-sip (1.0.1-1) unstable; urgency=medium

  * Imported Upstream version 1.0.1
  * Updated Standards-Version: 3.9.7 (no changes needed)
  * Updated Vcs-* fields in debian/control

 -- Philipp Huebner <debalance@debian.org>  Thu, 04 Feb 2016 15:36:15 +0100

erlang-p1-sip (1.0.0-1) unstable; urgency=medium

  * Imported Upstream version 1.0.0
  * Updated debian/copyright
  * Updated debian/watch

 -- Philipp Huebner <debalance@debian.org>  Sat, 16 Jan 2016 13:08:08 +0100

erlang-p1-sip (0.2015.07.22-1) unstable; urgency=medium

  * Imported Upstream version 0.2015.07.22
  * Enabled eunit

 -- Philipp Huebner <debalance@debian.org>  Mon, 17 Aug 2015 17:11:16 +0200

=== debian/control ===
Source: erlang-p1-sip
Section: libs
Priority: optional
Maintainer: Philipp Huebner <debalance@debian.org>
Build-Depends: debhelper (>= 9), dh-rebar, erlang-eunit, erlang-p1-stun (>= 0.2016.01.23), erlang-p1-tls (>= 1.0.0),
               erlang-p1-utils (>= 1.0.3), erlang-syntax-tools
Standards-Version: 3.9.7
Homepage: https://github.com/processone/p1_sip
Vcs-Git: https://anonscm.debian.org/git/users/debalance/erlang-p1-sip.git
Vcs-Browser: https://anonscm.debian.org/git/users/debalance/erlang-p1-sip.git

Package: erlang-p1-sip
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, erlang-base | ${erlang-abi:Depends},
         ${erlang:Depends}, erlang-p1-stun (>= 0.2016.01.23), erlang-p1-tls (>= 1.0.0), erlang-p1-utils (>= 1.0.3)
Description: SIP library for Erlang
 This library was written for ejabberd which still uses it.
 It was split off into it's own project to follow
 Erlang/OTP guidelines.

=== debian/rules ===
--- 
+++ 
@@ -1,16 +1,7 @@
 #!/usr/bin/make -f
-# -*- makefile -*-
-
-export DEB_BUILD_MAINT_OPTIONS = hardening=+all
-DPKG_EXPORT_BUILDFLAGS = 1
-include /usr/share/dpkg/buildflags.mk
-
-# Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
-
-include /usr/share/dpkg/pkg-info.mk
-
+include /usr/share/dpkg/default.mk
 
 DESTDIR=$(CURDIR)/debian/erlang-p1-sip

=== debian/watch ===
version=3
opts="filenamemangle=s/(?:.*)?v?(\d[\d\.]*)\.tar\.gz/erlang-p1-sip_$1.tar.gz/" \
  https://github.com/processone/p1_sip/tags (?:.*/)?v?(\d[\d\.]*)\.tar\.gz

## erlang-p1-sip 1.0.7

=== debian/changelog ===
erlang-p1-sip (1.0.7-1) unstable; urgency=medium

  * Imported Upstream version 1.0.7
  * (Build-)Depend on erlang-p1-tls (>= 1.0.6)
  * (Build-)Depend on erlang-p1-stun (>= 1.0.6)

 -- Philipp Huebner <debalance@debian.org>  Fri, 05 Aug 2016 21:29:36 +0200

erlang-p1-sip (1.0.6-1) unstable; urgency=medium

  * Imported Upstream version 1.0.6

 -- Philipp Huebner <debalance@debian.org>  Sun, 03 Jul 2016 16:42:55 +0200

erlang-p1-sip (1.0.5-1) unstable; urgency=medium

  * Imported Upstream version 1.0.5
  * (Build-)Depend on erlang-p1-tls (>= 1.0.4)
  * (Build-)Depend on erlang-p1-stun (>= 1.0.4)

 -- Philipp Huebner <debalance@debian.org>  Sun, 26 Jun 2016 16:22:18 +0200

erlang-p1-sip (1.0.4-1) unstable; urgency=medium

  * Imported Upstream version 1.0.4
  * Increased erlang-p1-* (Build-)Depends to 1.0.3
  * Improved debian/watch
  * Updated Standards-Version: 3.9.8 (no changes needed)
  * Enabled hardening

 -- Philipp Huebner <debalance@debian.org>  Mon, 30 May 2016 20:07:03 +0200

erlang-p1-sip (1.0.2-1) unstable; urgency=medium

  * ProcessOne renamed p1_sip to esip
  * Imported Upstream version 1.0.2

 -- Philipp Huebner <debalance@debian.org>  Sun, 14 Feb 2016 18:38:42 +0100

=== debian/control ===
Source: erlang-p1-sip
Section: libs
Priority: optional
Maintainer: Philipp Huebner <debalance@debian.org>
Build-Depends: debhelper (>= 9), dh-rebar, erlang-eunit, erlang-p1-stun (>= 1.0.6), erlang-p1-tls (>= 1.0.6),
               erlang-p1-utils (>= 1.0.4), erlang-syntax-tools
Standards-Version: 3.9.8
Homepage: https://github.com/processone/esip
Vcs-Git: https://anonscm.debian.org/git/users/debalance/erlang-p1-sip.git
Vcs-Browser: https://anonscm.debian.org/git/users/debalance/erlang-p1-sip.git

Package: erlang-p1-sip
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, erlang-base | ${erlang-abi:Depends},
         ${erlang:Depends}, erlang-p1-stun (>= 1.0.6), erlang-p1-tls (>= 1.0.6), erlang-p1-utils (>= 1.0.4)
Description: SIP library for Erlang
 This library was written for ejabberd which still uses it.
 It was split off into it's own project to follow
 Erlang/OTP guidelines.

## erlang-p1-sip 1.0.8

=== debian/changelog ===
erlang-p1-sip (1.0.8-2~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Philipp Huebner <debalance@debian.org>  Fri, 07 Oct 2016 17:25:05 +0200

erlang-p1-sip (1.0.8-2) unstable; urgency=medium

  * Added erlang-base to Build-Depends

 -- Philipp Huebner <debalance@debian.org>  Wed, 05 Oct 2016 15:57:48 +0200

erlang-p1-sip (1.0.8-1) unstable; urgency=medium

  * New upstream version 1.0.8
  * (Build-)Depend on erlang-p1-utils (>= 1.0.5)
  * (Build-)Depend on erlang-p1-tls (>= 1.0.7)
  * (Build-)Depend on erlang-p1-stun (>= 1.0.7)

 -- Philipp Huebner <debalance@debian.org>  Fri, 16 Sep 2016 15:09:44 +0200

=== debian/control ===
Source: erlang-p1-sip
Section: libs
Priority: optional
Maintainer: Philipp Huebner <debalance@debian.org>
Build-Depends: debhelper (>= 9), dh-rebar, erlang-base (<< 1:18.3), erlang-eunit, erlang-p1-stun (>= 1.0.7), erlang-p1-tls (>= 1.0.7),
               erlang-p1-utils (>= 1.0.5), erlang-syntax-tools
Standards-Version: 3.9.8
Homepage: https://github.com/processone/esip
Vcs-Git: https://anonscm.debian.org/git/users/debalance/erlang-p1-sip.git
Vcs-Browser: https://anonscm.debian.org/git/users/debalance/erlang-p1-sip.git

Package: erlang-p1-sip
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, erlang-base (<< 1:18.3), ${erlang-abi:Depends},
         ${erlang:Depends}, erlang-p1-stun (>= 1.0.7), erlang-p1-tls (>= 1.0.7), erlang-p1-utils (>= 1.0.5)
Description: SIP library for Erlang
 This library was written for ejabberd which still uses it.
 It was split off into it's own project to follow
 Erlang/OTP guidelines.

## erlang-p1-sip 1.0.13

=== debian/changelog ===
erlang-p1-sip (1.0.13-1) unstable; urgency=medium

  * New upstream version 1.0.13
  * Updated Standards-Version: 4.0.0 (no changes needed)

 -- Philipp Huebner <debalance@debian.org>  Tue, 11 Jul 2017 18:48:02 +0200

erlang-p1-sip (1.0.11-1~exp1) experimental; urgency=medium

  * New upstream version 1.0.11
  * Updated debian/copyright

 -- Philipp Huebner <debalance@debian.org>  Sat, 15 Apr 2017 13:36:58 +0200

=== debian/control ===
Source: erlang-p1-sip
Section: libs
Priority: optional
Maintainer: Philipp Huebner <debalance@debian.org>
Build-Depends: debhelper (>= 9), dh-rebar, erlang-base, erlang-eunit, erlang-p1-stun (>= 1.0.12), erlang-p1-tls (>= 1.0.13),
               erlang-p1-utils (>= 1.0.9), erlang-syntax-tools
Standards-Version: 4.0.0
Homepage: https://github.com/processone/esip
Vcs-Git: https://anonscm.debian.org/git/users/debalance/erlang-p1-sip.git
Vcs-Browser: https://anonscm.debian.org/git/users/debalance/erlang-p1-sip.git

Package: erlang-p1-sip
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, erlang-base | ${erlang-abi:Depends},
         ${erlang:Depends}, erlang-p1-stun (>= 1.0.12), erlang-p1-tls (>= 1.0.13), erlang-p1-utils (>= 1.0.9)
Description: SIP library for Erlang
 This library was written for ejabberd which still uses it.
 It was split off into it's own project to follow
 Erlang/OTP guidelines.

## erlang-p1-sip 1.0.15

=== debian/changelog ===
erlang-p1-sip (1.0.15-1~bpo8+1) jessie-backports-sloppy; urgency=medium

  * Rebuild for jessie-backports-sloppy.

 -- Philipp Huebner <debalance@debian.org>  Mon, 18 Sep 2017 07:51:08 +0200

erlang-p1-sip (1.0.15-1) unstable; urgency=medium

  * New upstream version 1.0.15
  * Updated Standards-Version: 4.1.0 (no changes needed)

 -- Philipp Huebner <debalance@debian.org>  Sat, 02 Sep 2017 17:40:08 +0200

=== debian/control ===
Source: erlang-p1-sip
Section: libs
Priority: optional
Maintainer: Philipp Huebner <debalance@debian.org>
Build-Depends: debhelper (>= 9), dh-rebar, erlang-base (>= 1:19.2), erlang-eunit, erlang-p1-stun (>= 1.0.14), erlang-p1-tls (>= 1.0.15),
               erlang-p1-utils (>= 1.0.9), erlang-syntax-tools
Standards-Version: 4.1.0
Homepage: https://github.com/processone/esip
Vcs-Git: https://anonscm.debian.org/git/users/debalance/erlang-p1-sip.git
Vcs-Browser: https://anonscm.debian.org/git/users/debalance/erlang-p1-sip.git

Package: erlang-p1-sip
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, erlang-base (>= 1:19.2) | ${erlang-abi:Depends},
         ${erlang:Depends}, erlang-p1-stun (>= 1.0.14), erlang-p1-tls (>= 1.0.15), erlang-p1-utils (>= 1.0.9)
Description: SIP library for Erlang
 This library was written for ejabberd which still uses it.
 It was split off into it's own project to follow
 Erlang/OTP guidelines.

## erlang-p1-sip 1.0.21

=== Makefile ===
--- 
+++ 
@@ -1,15 +1,13 @@
-REBAR=./rebar
-
 all: src
 
 src:
-	$(REBAR) compile
+	rebar get-deps compile
 
 clean:
-	$(REBAR) clean
+	rebar clean
 
 test: all
-	$(REBAR) -v skip_deps=true eunit
+	rebar -v skip_deps=true eunit
 
 deps := $(wildcard deps/*/ebin)

=== debian/changelog ===
erlang-p1-sip (1.0.21-1) unstable; urgency=medium

  * New upstream version 1.0.21
  * (Build-)Depend on erlang-p1-tls (>= 1.0.20) and erlang-p1-stun (>= 1.0.20)

 -- Philipp Huebner <debalance@debian.org>  Sat, 13 Jan 2018 12:50:41 +0100

erlang-p1-sip (1.0.18-1) unstable; urgency=medium

  * Set Maintainer: Ejabberd Packaging Team <ejabberd@packages.debian.org>
  * Set Uploaders: Philipp Huebner <debalance@debian.org>
  * Updated Vcs-* fields in debian/control for salsa.debian.org
  * Updated years in debian/copyright
  * Updated Standards-Version: 4.1.3 (no changes needed)
  * New upstream version 1.0.18
  * (Build-)Depend on erlang-p1-tls (>= 1.0.18) and erlang-p1-stun (>= 1.0.17)

 -- Philipp Huebner <debalance@debian.org>  Thu, 04 Jan 2018 11:37:55 +0100

erlang-p1-sip (1.0.17-1) unstable; urgency=medium

  * New upstream version 1.0.17
  * (Build-)Depend on erlang-base (>= 1:19.2)
  * Updated Standards-Version: 4.1.1 (no changes needed)

 -- Philipp Huebner <debalance@debian.org>  Mon, 27 Nov 2017 20:25:51 +0100

=== debian/control ===
Source: erlang-p1-sip
Section: libs
Priority: optional
Maintainer: Ejabberd Packaging Team <ejabberd@packages.debian.org>
Uploaders: Philipp Huebner <debalance@debian.org>
Build-Depends: debhelper (>= 9), dh-rebar, erlang-base (>= 1:19.2), erlang-eunit, erlang-p1-stun (>= 1.0.20),
               erlang-p1-tls (>= 1.0.20), erlang-p1-utils (>= 1.0.10), erlang-syntax-tools
Standards-Version: 4.1.3
Homepage: https://github.com/processone/esip
Vcs-Git: https://salsa.debian.org/ejabberd-packaging-team/erlang-p1-sip.git
Vcs-Browser: https://salsa.debian.org/ejabberd-packaging-team/erlang-p1-sip

Package: erlang-p1-sip
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, erlang-base (>= 1:19.2) | ${erlang-abi:Depends},
         ${erlang:Depends}, erlang-p1-stun (>= 1.0.20), erlang-p1-tls (>= 1.0.20), erlang-p1-utils (>= 1.0.10)
Description: SIP library for Erlang
 This library was written for ejabberd which still uses it.
 It was split off into it's own project to follow
 Erlang/OTP guidelines.

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,7 @@
 #!/usr/bin/make -f
 #export DH_VERBOSE=1
 
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 include /usr/share/dpkg/default.mk
 
 DESTDIR=$(CURDIR)/debian/erlang-p1-sip
@@ -18,7 +19,7 @@
 override_dh_auto_install:
 	rm -rf ebin/examples
 	dh_auto_install
-	for file in include/*.hrl ; do \
+	for file in include/*.hrl priv/lib/*.so; do \
 		fname=$$(basename $${file}) ; \
 		subdir=$$(dirname $${file}) ; \
 		if [ ! -f $(DESTDIR)/usr/lib/erlang/lib/p1_sip-$(DEB_VERSION_UPSTREAM)/$${subdir}/$${fname} ] ; then \
@@ -29,5 +30,5 @@
 
 
 override_dh_auto_clean:
-	rm -f config.log config.status
+	rm -f config.log config.status vars.config
 	dh_auto_clean

## erlang-p1-sip 1.0.24

=== debian/changelog ===
erlang-p1-sip (1.0.24-1) unstable; urgency=medium

  * New upstream version 1.0.24
  * Added debian/upstream/metadata

 -- Philipp Huebner <debalance@debian.org>  Wed, 04 Jul 2018 16:24:15 +0200

erlang-p1-sip (1.0.23-1) unstable; urgency=medium

  * New upstream version 1.0.23
  * Updated Standards-Version: 4.1.4 (no changes needed)

 -- Philipp Huebner <debalance@debian.org>  Wed, 09 May 2018 17:28:48 +0200

erlang-p1-sip (1.0.22-1) unstable; urgency=medium

  * New upstream version 1.0.22
  * Use secure copyright format uri in debian/copyright
  * Switched to debhelper 11

 -- Philipp Huebner <debalance@debian.org>  Tue, 27 Mar 2018 23:40:10 +0200

=== debian/control ===
Source: erlang-p1-sip
Maintainer: Ejabberd Packaging Team <ejabberd@packages.debian.org>
Uploaders: Philipp Huebner <debalance@debian.org>
Section: libs
Priority: optional
Build-Depends: debhelper (>= 11~),
               dh-rebar,
               erlang-base (>= 1:19.2),
               erlang-eunit,
               erlang-p1-stun (>= 1.0.23),
               erlang-p1-tls (>= 1.0.23),
               erlang-p1-utils (>= 1.0.12),
               erlang-syntax-tools
Standards-Version: 4.1.4
Vcs-Browser: https://salsa.debian.org/ejabberd-packaging-team/erlang-p1-sip
Vcs-Git: https://salsa.debian.org/ejabberd-packaging-team/erlang-p1-sip.git
Homepage: https://github.com/processone/esip

Package: erlang-p1-sip
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         erlang-base (>= 1:19.2) | ${erlang-abi:Depends},
         ${erlang:Depends},
         erlang-p1-stun (>= 1.0.23),
         erlang-p1-tls (>= 1.0.23),
         erlang-p1-utils (>= 1.0.12)
Description: SIP library for Erlang
 This library was written for ejabberd which still uses it.
 It was split off into it's own project to follow
 Erlang/OTP guidelines.

## erlang-p1-sip 1.0.27

=== debian/changelog ===
erlang-p1-sip (1.0.27-1) unstable; urgency=medium

  * New upstream version 1.0.27
  * Updated Erlang dependencies
  * Updated Standards-Version: 4.3.0 (no changes needed)
  * Updated years in debian/copyright

 -- Philipp Huebner <debalance@debian.org>  Tue, 01 Jan 2019 22:51:13 +0100

erlang-p1-sip (1.0.26-1) unstable; urgency=medium

  * New upstream version 1.0.26
  * Enabled DH_VERBOSE in debian/rules
  * Updated Standards-Version: 4.2.1 (no changes needed)

 -- Philipp Huebner <debalance@debian.org>  Sun, 07 Oct 2018 14:57:42 +0200

=== debian/control ===
Source: erlang-p1-sip
Maintainer: Ejabberd Packaging Team <ejabberd@packages.debian.org>
Uploaders: Philipp Huebner <debalance@debian.org>
Section: libs
Priority: optional
Build-Depends: debhelper (>= 11~),
               dh-rebar,
               erlang-base (>= 1:19.2),
               erlang-eunit,
               erlang-p1-stun (>= 1.0.26),
               erlang-p1-tls (>= 1.0.26),
               erlang-p1-utils (>= 1.0.13),
               erlang-syntax-tools
Standards-Version: 4.3.0
Vcs-Browser: https://salsa.debian.org/ejabberd-packaging-team/erlang-p1-sip
Vcs-Git: https://salsa.debian.org/ejabberd-packaging-team/erlang-p1-sip.git
Homepage: https://github.com/processone/esip

Package: erlang-p1-sip
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         erlang-base (>= 1:19.2) | ${erlang-abi:Depends},
         ${erlang:Depends},
         erlang-p1-stun (>= 1.0.26),
         erlang-p1-tls (>= 1.0.26),
         erlang-p1-utils (>= 1.0.13)
Description: SIP library for Erlang
 This library was written for ejabberd which still uses it.
 It was split off into it's own project to follow
 Erlang/OTP guidelines.

=== debian/rules ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #!/usr/bin/make -f
-#export DH_VERBOSE=1
+export DH_VERBOSE=1
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 include /usr/share/dpkg/default.mk

=== debian/watch ===
version=3
opts="filenamemangle=s/.*\/v?(\d\S*)\.tar\.gz/erlang-p1-sip_$1.tar.gz/" \
  https://github.com/processone/esip/releases .*/v?(\d\S*)\.tar\.gz

## erlang-p1-sip 1.0.29

=== debian/changelog ===
erlang-p1-sip (1.0.29-1) unstable; urgency=medium

  * New upstream version 1.0.29
  * Updated Erlang dependencies
  * Updated Standards-Version: 4.4.0 (no changes needed)
  * debian/rules: export ERL_COMPILER_OPTIONS=deterministic
  * Updated debhelper compat version: 12

 -- Philipp Huebner <debalance@debian.org>  Wed, 24 Jul 2019 12:54:04 +0200

=== debian/control ===
Source: erlang-p1-sip
Maintainer: Ejabberd Packaging Team <ejabberd@packages.debian.org>
Uploaders: Philipp Huebner <debalance@debian.org>
Section: libs
Priority: optional
Build-Depends: debhelper (>= 12),
               dh-rebar,
               erlang-base (>= 1:19.2),
               erlang-eunit,
               erlang-p1-stun (>= 1.0.28),
               erlang-p1-tls (>= 1.1.1),
               erlang-p1-utils (>= 1.0.15),
               erlang-syntax-tools
Standards-Version: 4.4.0
Vcs-Browser: https://salsa.debian.org/ejabberd-packaging-team/erlang-p1-sip
Vcs-Git: https://salsa.debian.org/ejabberd-packaging-team/erlang-p1-sip.git
Homepage: https://github.com/processone/esip

Package: erlang-p1-sip
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         erlang-base (>= 1:19.2) | ${erlang-abi:Depends},
         ${erlang:Depends},
         erlang-p1-stun (>= 1.0.28),
         erlang-p1-tls (>= 1.1.1),
         erlang-p1-utils (>= 1.0.15)
Description: SIP library for Erlang
 This library was written for ejabberd which still uses it.
 It was split off into it's own project to follow
 Erlang/OTP guidelines.

## erlang-p1-sip 1.0.30

=== debian/changelog ===
erlang-p1-sip (1.0.30-1) unstable; urgency=medium

  * New upstream version 1.0.30
  * Updated Erlang dependencies

 -- Philipp Huebner <debalance@debian.org>  Sat, 10 Aug 2019 14:25:26 +0200

=== debian/control ===
--- 
+++ 
@@ -7,9 +7,9 @@
                dh-rebar,
                erlang-base (>= 1:19.2),
                erlang-eunit,
-               erlang-p1-stun (>= 1.0.28),
-               erlang-p1-tls (>= 1.1.1),
-               erlang-p1-utils (>= 1.0.15),
+               erlang-p1-stun (>= 1.0.29),
+               erlang-p1-tls (>= 1.1.2),
+               erlang-p1-utils (>= 1.0.16),
                erlang-syntax-tools
 Standards-Version: 4.4.0
 Vcs-Browser: https://salsa.debian.org/ejabberd-packaging-team/erlang-p1-sip
@@ -22,9 +22,9 @@
          ${misc:Depends},
          erlang-base (>= 1:19.2) | ${erlang-abi:Depends},
          ${erlang:Depends},
-         erlang-p1-stun (>= 1.0.28),
-         erlang-p1-tls (>= 1.1.1),
-         erlang-p1-utils (>= 1.0.15)
+         erlang-p1-stun (>= 1.0.29),
+         erlang-p1-tls (>= 1.1.2),
+         erlang-p1-utils (>= 1.0.16)
 Description: SIP library for Erlang
  This library was written for ejabberd which still uses it.
  It was split off into it's own project to follow

## erlang-p1-sip 1.0.31

=== debian/changelog ===
erlang-p1-sip (1.0.31-1) unstable; urgency=medium

  * New upstream version 1.0.31
  * Fixed typo in long package description.
  * Updated Standards-Version: 4.5.0 (no changes needed)
  * Updated Erlang dependencies
  * Updated years in debian/copyright
  * Rules-Requires-Root: no

 -- Philipp Huebner <debalance@debian.org>  Wed, 05 Feb 2020 19:41:17 +0100

=== debian/control ===
Source: erlang-p1-sip
Maintainer: Ejabberd Packaging Team <ejabberd@packages.debian.org>
Uploaders: Philipp Huebner <debalance@debian.org>
Section: libs
Priority: optional
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 12),
               dh-rebar,
               erlang-base (>= 1:19.2),
               erlang-eunit,
               erlang-p1-stun (>= 1.0.30),
               erlang-p1-tls (>= 1.1.3),
               erlang-p1-utils (>= 1.0.17),
               erlang-syntax-tools
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/ejabberd-packaging-team/erlang-p1-sip
Vcs-Git: https://salsa.debian.org/ejabberd-packaging-team/erlang-p1-sip.git
Homepage: https://github.com/processone/esip

Package: erlang-p1-sip
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         erlang-base (>= 1:19.2) | ${erlang-abi:Depends},
         ${erlang:Depends},
         erlang-p1-stun (>= 1.0.30),
         erlang-p1-tls (>= 1.1.3),
         erlang-p1-utils (>= 1.0.17)
Description: SIP library for Erlang
 This library was written for ejabberd which still uses it.
 It was split off into its own project to follow
 Erlang/OTP guidelines.

## erlang-p1-sip 1.0.37

=== debian/changelog ===
erlang-p1-sip (1.0.37-1) unstable; urgency=medium

  * New upstream version 1.0.37
  * Updated Erlang dependencies

 -- Philipp Huebner <debalance@debian.org>  Sun, 02 Aug 2020 17:39:54 +0200

erlang-p1-sip (1.0.35-1) unstable; urgency=medium

  * New upstream version 1.0.35
  * Updated Erlang dependencies

 -- Philipp Huebner <debalance@debian.org>  Sun, 26 Jul 2020 22:17:16 +0200

erlang-p1-sip (1.0.33-1) unstable; urgency=medium

  * New upstream version 1.0.33
  * Updated Erlang dependencies

 -- Philipp Huebner <debalance@debian.org>  Fri, 01 May 2020 13:36:44 +0200

erlang-p1-sip (1.0.32-1) unstable; urgency=medium

  * New upstream version 1.0.32
  * Updated Erlang dependencies

 -- Philipp Huebner <debalance@debian.org>  Wed, 18 Mar 2020 12:33:37 +0100

=== debian/control ===
--- 
+++ 
@@ -8,9 +8,9 @@
                dh-rebar,
                erlang-base (>= 1:19.2),
                erlang-eunit,
-               erlang-p1-stun (>= 1.0.30),
-               erlang-p1-tls (>= 1.1.3),
-               erlang-p1-utils (>= 1.0.17),
+               erlang-p1-stun (>= 1.0.37),
+               erlang-p1-tls (>= 1.1.8),
+               erlang-p1-utils (>= 1.0.20),
                erlang-syntax-tools
 Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/ejabberd-packaging-team/erlang-p1-sip
@@ -23,9 +23,9 @@
          ${misc:Depends},
          erlang-base (>= 1:19.2) | ${erlang-abi:Depends},
          ${erlang:Depends},
-         erlang-p1-stun (>= 1.0.30),
-         erlang-p1-tls (>= 1.1.3),
-         erlang-p1-utils (>= 1.0.17)
+         erlang-p1-stun (>= 1.0.37),
+         erlang-p1-tls (>= 1.1.8),
+         erlang-p1-utils (>= 1.0.20)
 Description: SIP library for Erlang
  This library was written for ejabberd which still uses it.
  It was split off into its own project to follow

## erlang-p1-sip 1.0.41

=== debian/changelog ===
erlang-p1-sip (1.0.41-2) unstable; urgency=medium

  * Corrected Multi-Arch setting to "allowed"

 -- Philipp Huebner <debalance@debian.org>  Sun, 31 Jan 2021 19:20:05 +0100

erlang-p1-sip (1.0.41-1) unstable; urgency=medium

  * New upstream version 1.0.41
  * Added 'Multi-Arch: same' in debian/control
  * Updated Erlang dependencies
  * Updated years in debian/copyright

 -- Philipp Huebner <debalance@debian.org>  Sat, 30 Jan 2021 18:30:43 +0100

erlang-p1-sip (1.0.39-1) unstable; urgency=medium

  * New upstream version 1.0.39
  * Updated Standards-Version: 4.5.1 (no changes needed)
  * Updated Erlang dependencies
  * Updated version of debian/watch: 4
  * Updated debhelper compat version: 13
  * Updated lintian overrides
  * Added debian/erlang-p1-sip.install
  * Refreshed debian/patches/fix-includes.diff

 -- Philipp Huebner <debalance@debian.org>  Sat, 26 Dec 2020 00:24:28 +0100

=== debian/rules ===
--- 
+++ 
@@ -1,8 +1,8 @@
 #!/usr/bin/make -f
 export DH_VERBOSE=1
-
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 include /usr/share/dpkg/default.mk
+export ERL_COMPILER_OPTIONS=deterministic
 
 DESTDIR=$(CURDIR)/debian/erlang-p1-sip

=== debian/watch ===
version=4
opts="filenamemangle=s/.*\/v?(\d\S*)\.tar\.gz/erlang-p1-sip_$1.tar.gz/" \
  https://github.com/processone/esip/releases .*/v?(\d\S*)\.tar\.gz

## erlang-p1-sip 1.0.43

=== debian/changelog ===
erlang-p1-sip (1.0.43-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Philipp Huebner <debalance@debian.org>  Sun, 05 Sep 2021 19:29:02 +0200

erlang-p1-sip (1.0.43-1) unstable; urgency=medium

  * New upstream version 1.0.43
  * Updated Standards-Version: 4.6.0 (no changes needed)
  * Updated Erlang dependencies

 -- Philipp Huebner <debalance@debian.org>  Sun, 29 Aug 2021 21:54:13 +0200

=== debian/control ===
Source: erlang-p1-sip
Maintainer: Ejabberd Packaging Team <ejabberd@packages.debian.org>
Uploaders: Philipp Huebner <debalance@debian.org>
Section: libs
Priority: optional
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-rebar,
               erlang-base (>= 1:19.2),
               erlang-eunit,
               erlang-p1-stun (>= 1.0.44),
               erlang-p1-tls (>= 1.1.13),
               erlang-p1-utils (>= 1.0.23),
               erlang-syntax-tools
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/ejabberd-packaging-team/erlang-p1-sip
Vcs-Git: https://salsa.debian.org/ejabberd-packaging-team/erlang-p1-sip.git
Homepage: https://github.com/processone/esip

Package: erlang-p1-sip
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         erlang-base (>= 1:19.2) | ${erlang-abi:Depends},
         ${erlang:Depends},
         erlang-p1-stun (>= 1.0.44),
         erlang-p1-tls (>= 1.1.13),
         erlang-p1-utils (>= 1.0.23)
Multi-Arch: allowed
Description: SIP library for Erlang
 This library was written for ejabberd which still uses it.
 It was split off into its own project to follow
 Erlang/OTP guidelines.

## erlang-p1-sip 1.0.45

=== debian/changelog ===
erlang-p1-sip (1.0.45-1) unstable; urgency=medium

  [ Philipp Huebner ]
  * New upstream version 1.0.45
  * Updated Erlang dependencies
  * Updated debian/watch

  [ Jenkins ]
  * Remove constraints unnecessary since buster

 -- Philipp Huebner <debalance@debian.org>  Mon, 20 Dec 2021 00:15:18 +0100

=== debian/control ===
--- 
+++ 
@@ -6,9 +6,9 @@
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-rebar,
-               erlang-base (>= 1:19.2),
+               erlang-base,
                erlang-eunit,
-               erlang-p1-stun (>= 1.0.44),
+               erlang-p1-stun (>= 1.0.47),
                erlang-p1-tls (>= 1.1.13),
                erlang-p1-utils (>= 1.0.23),
                erlang-syntax-tools
@@ -21,9 +21,9 @@
 Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         erlang-base (>= 1:19.2) | ${erlang-abi:Depends},
+         erlang-base | ${erlang-abi:Depends},
          ${erlang:Depends},
-         erlang-p1-stun (>= 1.0.44),
+         erlang-p1-stun (>= 1.0.47),
          erlang-p1-tls (>= 1.1.13),
          erlang-p1-utils (>= 1.0.23)
 Multi-Arch: allowed

## erlang-p1-sip 1.0.47

=== debian/changelog ===
erlang-p1-sip (1.0.47-1) unstable; urgency=medium

  * New upstream version 1.0.47
  * Updated Standards-Version: 4.6.1 (no changes needed)
  * Updated Erlang dependencies
  * Updated years in debian/copyright

 -- Philipp Huebner <debalance@debian.org>  Thu, 02 Jun 2022 12:36:55 +0200

=== debian/control ===
Source: erlang-p1-sip
Maintainer: Ejabberd Packaging Team <ejabberd@packages.debian.org>
Uploaders: Philipp Huebner <debalance@debian.org>
Section: libs
Priority: optional
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-rebar (>= 0.0.6),
               erlang-base,
               erlang-eunit,
               erlang-p1-stun (>= 1.2.2),
               erlang-p1-tls (>= 1.1.15),
               erlang-p1-utils (>= 1.0.25),
               erlang-syntax-tools
Standards-Version: 4.6.1
Vcs-Browser: https://salsa.debian.org/ejabberd-packaging-team/erlang-p1-sip
Vcs-Git: https://salsa.debian.org/ejabberd-packaging-team/erlang-p1-sip.git
Homepage: https://github.com/processone/esip

Package: erlang-p1-sip
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         erlang-base, ${erlang-abi:Depends},
         ${erlang:Depends},
         erlang-p1-stun (>= 1.2.2),
         erlang-p1-tls (>= 1.1.15),
         erlang-p1-utils (>= 1.0.25)
Multi-Arch: allowed
Description: SIP library for Erlang
 This library was written for ejabberd which still uses it.
 It was split off into its own project to follow
 Erlang/OTP guidelines.

## erlang-p1-sip 1.0.48

=== debian/changelog ===
erlang-p1-sip (1.0.48-1) unstable; urgency=medium

  * New upstream version 1.0.48
  * Updated Erlang dependencies
  * Refreshed debian/patches/rebar.config.diff

 -- Philipp Huebner <debalance@debian.org>  Wed, 02 Nov 2022 14:57:35 +0100

=== debian/control ===
--- 
+++ 
@@ -8,8 +8,8 @@
                dh-rebar (>= 0.0.6),
                erlang-base,
                erlang-eunit,
-               erlang-p1-stun (>= 1.2.2),
-               erlang-p1-tls (>= 1.1.15),
+               erlang-p1-stun (>= 1.2.6),
+               erlang-p1-tls (>= 1.1.16),
                erlang-p1-utils (>= 1.0.25),
                erlang-syntax-tools
 Standards-Version: 4.6.1
@@ -23,8 +23,8 @@
          ${misc:Depends},
          erlang-base, ${erlang-abi:Depends},
          ${erlang:Depends},
-         erlang-p1-stun (>= 1.2.2),
-         erlang-p1-tls (>= 1.1.15),
+         erlang-p1-stun (>= 1.2.6),
+         erlang-p1-tls (>= 1.1.16),
          erlang-p1-utils (>= 1.0.25)
 Multi-Arch: allowed
 Description: SIP library for Erlang

## erlang-p1-sip 1.0.49

=== debian/changelog ===
erlang-p1-sip (1.0.49-1) unstable; urgency=medium

  * New upstream version 1.0.49
  * Refreshed patches
  * Updated Erlang dependencies
  * Updated Standards-Version: 4.6.2 (no changes needed)
  * Updated years in debian/copyright

 -- Philipp Huebner <debalance@debian.org>  Wed, 08 Feb 2023 14:15:33 +0100

=== debian/control ===
--- 
+++ 
@@ -8,11 +8,11 @@
                dh-rebar (>= 0.0.6),
                erlang-base,
                erlang-eunit,
-               erlang-p1-stun (>= 1.2.6),
+               erlang-p1-stun (>= 1.2.7),
                erlang-p1-tls (>= 1.1.16),
                erlang-p1-utils (>= 1.0.25),
                erlang-syntax-tools
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/ejabberd-packaging-team/erlang-p1-sip
 Vcs-Git: https://salsa.debian.org/ejabberd-packaging-team/erlang-p1-sip.git
 Homepage: https://github.com/processone/esip
@@ -23,7 +23,7 @@
          ${misc:Depends},
          erlang-base, ${erlang-abi:Depends},
          ${erlang:Depends},
-         erlang-p1-stun (>= 1.2.6),
+         erlang-p1-stun (>= 1.2.7),
          erlang-p1-tls (>= 1.1.16),
          erlang-p1-utils (>= 1.0.25)
 Multi-Arch: allowed

=== debian/watch ===
version=4
opts="filenamemangle=s/.*\/v?(\d\S*)\.tar\.gz/erlang-p1-sip_$1.tar.gz/" \
  https://github.com/processone/esip/tags .*/v?(\d\S*)\.tar\.gz

## erlang-p1-sip 1.0.50

=== Makefile ===
--- 
+++ 
@@ -1,13 +1,16 @@
+REBAR ?= rebar
+
 all: src
 
 src:
-	rebar get-deps compile
+	$(REBAR) get-deps
+	$(REBAR) compile
 
 clean:
-	rebar clean
+	$(REBAR) clean
 
 test: all
-	rebar -v skip_deps=true eunit
+	$(REBAR) eunit
 
 deps := $(wildcard deps/*/ebin)

=== debian/changelog ===
erlang-p1-sip (1.0.50-1) unstable; urgency=medium

  * New upstream version 1.0.50
  * Updated Erlang dependencies
  * Refreshed patches
  * Dropped debian/erlang-p1-sip.install, added debian/source/options and
    fixed debian/rules (closes: #1044170, #1049502)
  * Updated lintian overrides
  * Renamed debian/erlang-p1-sip.lintian-overrides
    -> debian/lintian-overrides
  * Updated debian/rules

 -- Philipp Huebner <debalance@debian.org>  Tue, 26 Dec 2023 22:41:31 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                dh-rebar (>= 0.0.6),
                erlang-base,
                erlang-eunit,
-               erlang-p1-stun (>= 1.2.7),
+               erlang-p1-stun (>= 1.2.10),
                erlang-p1-tls (>= 1.1.16),
                erlang-p1-utils (>= 1.0.25),
                erlang-syntax-tools
@@ -23,7 +23,7 @@
          ${misc:Depends},
          erlang-base, ${erlang-abi:Depends},
          ${erlang:Depends},
-         erlang-p1-stun (>= 1.2.7),
+         erlang-p1-stun (>= 1.2.10),
          erlang-p1-tls (>= 1.1.16),
          erlang-p1-utils (>= 1.0.25)
 Multi-Arch: allowed

=== debian/rules ===
--- 
+++ 
@@ -15,7 +15,6 @@
 	./configure
 	dh_auto_configure
 
-
 override_dh_auto_install:
 	rm -rf ebin/examples
 	dh_auto_install
@@ -27,8 +26,8 @@
 			install -m 644 $${file} $(DESTDIR)/usr/lib/erlang/lib/p1_sip-$(DEB_VERSION_UPSTREAM)/$${subdir} ; \
 		fi ; \
 	done
-
+	find $(CURDIR)/debian/tmp/ -type f -name '*.hrl' -delete
 
 override_dh_auto_clean:
-	rm -f config.log config.status vars.config
+	rm -f compile_commands.json config.log config.status vars.config
 	dh_auto_clean

## erlang-p1-sip 1.0.54

=== debian/changelog ===
erlang-p1-sip (1.0.54-1) unstable; urgency=medium

  * New upstream version 1.0.54
  * Updated Erlang dependencies
  * Updated debian/patches/rebar.config.diff

 -- Philipp Huebner <debalance@debian.org>  Thu, 03 Oct 2024 21:22:01 +0200

=== debian/control ===
--- 
+++ 
@@ -8,9 +8,9 @@
                dh-rebar (>= 0.0.6),
                erlang-base,
                erlang-eunit,
-               erlang-p1-stun (>= 1.2.10),
-               erlang-p1-tls (>= 1.1.16),
-               erlang-p1-utils (>= 1.0.25),
+               erlang-p1-stun (>= 1.2.14),
+               erlang-p1-tls (>= 1.1.21),
+               erlang-p1-utils (>= 1.0.26),
                erlang-syntax-tools
 Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/ejabberd-packaging-team/erlang-p1-sip
@@ -23,9 +23,9 @@
          ${misc:Depends},
          erlang-base, ${erlang-abi:Depends},
          ${erlang:Depends},
-         erlang-p1-stun (>= 1.2.10),
-         erlang-p1-tls (>= 1.1.16),
-         erlang-p1-utils (>= 1.0.25)
+         erlang-p1-stun (>= 1.2.14),
+         erlang-p1-tls (>= 1.1.21),
+         erlang-p1-utils (>= 1.0.26)
 Multi-Arch: allowed
 Description: SIP library for Erlang
  This library was written for ejabberd which still uses it.

## erlang-p1-sip 1.0.56

=== debian/changelog ===
erlang-p1-sip (1.0.56-1) unstable; urgency=medium

  * New upstream version 1.0.56
  * Updated Standards-Version: 4.7.0 (no changes needed)
  * Updated Erlang dependencies
  * Updated years in debian/copyright
  * Removed debian/patches/ because it is no longer needed
  * debian/rules: add creation of symbolic link for native app name

 -- Philipp Huebner <debalance@debian.org>  Sun, 09 Feb 2025 11:13:40 +0100

=== debian/control ===
--- 
+++ 
@@ -8,11 +8,11 @@
                dh-rebar (>= 0.0.6),
                erlang-base,
                erlang-eunit,
-               erlang-p1-stun (>= 1.2.14),
-               erlang-p1-tls (>= 1.1.21),
+               erlang-p1-stun (>= 1.2.15),
+               erlang-p1-tls (>= 1.1.22),
                erlang-p1-utils (>= 1.0.26),
                erlang-syntax-tools
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/ejabberd-packaging-team/erlang-p1-sip
 Vcs-Git: https://salsa.debian.org/ejabberd-packaging-team/erlang-p1-sip.git
 Homepage: https://github.com/processone/esip
@@ -23,8 +23,8 @@
          ${misc:Depends},
          erlang-base, ${erlang-abi:Depends},
          ${erlang:Depends},
-         erlang-p1-stun (>= 1.2.14),
-         erlang-p1-tls (>= 1.1.21),
+         erlang-p1-stun (>= 1.2.15),
+         erlang-p1-tls (>= 1.1.22),
          erlang-p1-utils (>= 1.0.26)
 Multi-Arch: allowed
 Description: SIP library for Erlang

=== debian/rules ===
--- 
+++ 
@@ -27,6 +27,7 @@
 		fi ; \
 	done
 	find $(CURDIR)/debian/tmp/ -type f -name '*.hrl' -delete
+	ln -s /usr/lib/erlang/lib/p1_sip-$(DEB_VERSION_UPSTREAM) $(DESTDIR)/usr/lib/erlang/lib/esip-$(DEB_VERSION_UPSTREAM)
 
 override_dh_auto_clean:
 	rm -f compile_commands.json config.log config.status vars.config

## erlang-p1-sip 1.0.59

=== debian/changelog ===
erlang-p1-sip (1.0.59-1) unstable; urgency=medium

  * Team upload.
  * Update d/watch to version 5.
  * New upstream version.

 -- Dominik George <natureshadow@debian.org>  Wed, 11 Feb 2026 20:16:58 +0000

=== debian/control ===
--- 
+++ 
@@ -8,9 +8,9 @@
                dh-rebar (>= 0.0.6),
                erlang-base,
                erlang-eunit,
-               erlang-p1-stun (>= 1.2.15),
-               erlang-p1-tls (>= 1.1.22),
-               erlang-p1-utils (>= 1.0.26),
+               erlang-p1-stun (>= 1.2.21),
+               erlang-p1-tls (>= 1.1.25),
+               erlang-p1-utils (>= 1.0.28),
                erlang-syntax-tools
 Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/ejabberd-packaging-team/erlang-p1-sip

=== debian/watch ===
Version: 5
Template: GitHub
Dist: https://github.com/processone/esip
